### Method

# GExiv2 Metadata get_focal_length

since: 0.16.0

#### Declaration [src]

    gdouble
    gexiv2_metadata_get_focal_length (
      GExiv2Metadata* self
      GError** error
    )

#### Description [src]

See https://en.wikipedia.org/wiki/Flange_focal_distance for more information.

Available since: 0.16.0

#### Return value

Type: `gdouble`

The focal length as a gdouble, or -1.0 if tag is not present or invalid.